# class Gtk::Table

### Public Class Methods

new(n_rows, n_columns, homogeneous=false) click to toggle source

    # File lib/gtk3/table.rb, line 20
    def initialize(n_rows, n_columns, homogeneous=false)
      initialize_raw(n_rows, n_columns, homogeneous)
    end

Also aliased as: initialize_raw

### Public Instance Methods

attach(child, left, right, top, bottom, x_options=nil, y_options=nil, x_space=nil, y_space=nil) click to toggle source

    # File lib/gtk3/table.rb, line 33
    def attach(child, left, right, top, bottom,
               x_options=nil, y_options=nil,
               x_space=nil, y_space=nil)
      attach_raw(child, left, right, top, bottom,
                 x_options || [:expand, :fill],
                 y_options || [:expand, :fill],
                 x_space || 0,
                 y_space || 0)
    end

Also aliased as: attach_raw
attach_raw(child, left, right, top, bottom, x_options=nil, y_options=nil, x_space=nil, y_space=nil)
Alias for: attach
column_spacings(column) click to toggle source

    # File lib/gtk3/table.rb, line 26
    def column_spacings(column)
      get_col_spacings(column)
    end

initialize_raw(n_rows, n_columns, homogeneous=false)
Alias for: new